<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String pipeline = request.getParameter("pipeline");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~import_followup_blood.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Batch import of follow-up blood referral forms" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-pipeline="<%=HTML.encodeTags(pipeline)%>"
	></div>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select Excel or CSV file</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Import from</td>
				<td class="input">
					<input type="file" name="sampleFile" id="sampleFile" class="required" style="width: 95%;">
				</td>
				<td class="status" id="sampleFile.status"></td>
				<td class="help" rowspan="2">
					<span id="sampleFile.message" class="message"></span>
					Select the Excel or CSV file that contains the follow-up blood information.
					The following columns are required: <b>PersonalNumber</b>, <b>Name</b>, <b>BloodRccidNumber</b>, 
					<b>BloodSample</b>, <b>BloodSamplingDate</b>, <b>BloodSamplingTime</b>, <b>BloodFreezerDate</b>, 
					<b>BloodFreezerTime</b> and <b>OtherPathNote</b>. Empty lines and lines starting with # are 
					ignored.
					<div id="worksheetSection.help" style="display:none;">
						Note that it is only possible to import from one worksheet at a time.
					</div>
				</td>
			</tr>
			<tr id="worksheetSection" style="display: none;">
				<td class="subprompt">- worksheet</td>
				<td class="input">
					<select name="sheet" id="sheet" class="required" style="width: auto; min-width: 10em;"></select>
				</td>
				<td class="status" id="sheet.status"></td>
			</tr>
			</table>
		</div>
	</div>
	
	<table class="navigation" id="navigation" style="margin-bottom: 1em;">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Import" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="goabort" title="Abort&hellip;" image="<%=home+"/images/bomb.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>